Bug 1438516 - [RFE] Support for obfuscated proxy credentials used by image-inspector
Summary: [RFE] Support for obfuscated proxy credentials used by image-inspector
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Erez Freiberger
QA Contact: Gilad Shefer
URL:
Whiteboard:
Depends On: 1418791
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 15:36 UTC by Satoe Imaishi
Modified: 2017-05-31 14:45 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.9
Doc Type: Enhancement
Doc Text:
Clone Of: 1418791
Environment:
Last Closed: 2017-05-31 14:45:45 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Mooli Tayer 2017-04-23 13:01:29 UTC
Erez, should this be moved to POST?

Comment 3 Einat Pacifici 2017-05-10 10:15:55 UTC
Erez, please explain how to reproduce this.

Comment 4 Erez Freiberger 2017-05-10 10:30:10 UTC
Have one of the values to of the http_proxy custom attributes to contain username and password, for example: https://erez:1234@someproxy:8008

Comment 5 Einat Pacifici 2017-05-10 10:40:39 UTC
Gilad, please work with Erez to reproduce and verify this.

Comment 6 Gilad Shefer 2017-05-14 13:02:51 UTC
Please provide "Steps to Reproduce"

Comment 7 Erez Freiberger 2017-05-14 13:04:37 UTC
Step:
1. Add Custom Attribute as desribed in the top message:
     http proxy 	http://user:password@server.com:80
2. Verify that the username/password don't show in the UI

Comment 9 errata-xmlrpc 2017-05-31 14:45:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.